summaryrefslogtreecommitdiff
path: root/app-shells/bashdb
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /app-shells/bashdb
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'app-shells/bashdb')
-rw-r--r--app-shells/bashdb/Manifest3
-rw-r--r--app-shells/bashdb/bashdb-5.0.1.1.2-r1.ebuild45
-rw-r--r--app-shells/bashdb/bashdb-5.1_pre20240617.ebuild67
-rw-r--r--app-shells/bashdb/metadata.xml5
4 files changed, 120 insertions, 0 deletions
diff --git a/app-shells/bashdb/Manifest b/app-shells/bashdb/Manifest
new file mode 100644
index 000000000000..0e3336423438
--- /dev/null
+++ b/app-shells/bashdb/Manifest
@@ -0,0 +1,3 @@
+DIST bashdb-4.4-1.0.0-missing-test-files.tar.xz 996 BLAKE2B 7ea67884cceda11559cf49355645cad2cfd485537643ad2fa05398518f498163596b6f591756bedd0e7b7e013fed3c6a031e245d15cd0cf316d42ef4f5c8b3e6 SHA512 e19d41569c2001ce026e4c5f80cc21c81651ff9980be059236c45e215162769ceda266eb46aa4199000e377c0bb53dec98fa1b7c5290459c412f21329b3589a5
+DIST bashdb-5.0-1.1.2.tar.bz2 574210 BLAKE2B 6de1cac2cb66022f60ab7f0385361762fedee56c26729f22acb070e24a7bcf317700fb5db314c1592b8f9ccf9f7d07bfc80afd5fc88a753d0ad2954325a7f078 SHA512 32ff6d315e8cf9d59485802d5284fde53fa2d9f40ec238428a479f8a1ed1359e9bea2946b192b78534e7ac835491d5d64d73f536c8dfa93583b4c6d55d4d4545
+DIST bashdb-5.1_pre20240617.gh.tar.gz 690536 BLAKE2B b8c736ea16f90c14ebcbe06ae6dcdcc8187161e94ca5672f9078366161afec77bd54e95f0782ec4204f6997b173844f288d9cd39a03539e83447fcdc33cc6545 SHA512 748de6d3a7a30ce59269ec953f3d2ee71d50a92038001f3a74ef758225d77de6db906945936a20439869442ac995001ef26c394050d6e73f5a1c288022faaaec
diff --git a/app-shells/bashdb/bashdb-5.0.1.1.2-r1.ebuild b/app-shells/bashdb/bashdb-5.0.1.1.2-r1.ebuild
new file mode 100644
index 000000000000..e29905f605c5
--- /dev/null
+++ b/app-shells/bashdb/bashdb-5.0.1.1.2-r1.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+MY_P="${PN}-${PV:0:3}-${PV:4}"
+DESCRIPTION="bash source code debugging"
+HOMEPAGE="http://bashdb.sourceforge.net/"
+SRC_URI="
+ https://downloads.sourceforge.net/bashdb/${MY_P}.tar.bz2
+ test? ( mirror://gentoo/30/bashdb-4.4-1.0.0-missing-test-files.tar.xz )
+"
+S="${WORKDIR}/${MY_P}"
+
+# LICENSE in the repo says GPL-2, but it's clearly based on bash-5.0, so
+# it must be GPL-3+ too.
+LICENSE="GPL-3+ GPL-2"
+SLOT="0"
+KEYWORDS="amd64 ppc ppc64 x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+DEPEND="app-shells/bash:${PV:0:3}"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ if use test ; then
+ einfo "Copying missing files ..."
+ # https://sourceforge.net/p/bashdb/bugs/52/
+ cp -vafn "${WORKDIR}"/missing-files/* "${S}"/test || die
+ fi
+
+ default
+
+ # We don't install this, so don't bother building it. #468044
+ sed -i 's:texi2html:true:' doc/Makefile.in || die
+}
+
+src_configure() {
+ # This path matches the bash sources. If we ever change bash,
+ # we'll probably have to change this to match (bug #591994).
+ CONFIG_SHELL="${BROOT}"/bin/bash econf \
+ --with-bash="${EPREFIX}"/bin/bash-${PV:0:3} \
+ --with-dbg-main='$(PKGDATADIR)/bashdb-main.inc'
+}
diff --git a/app-shells/bashdb/bashdb-5.1_pre20240617.ebuild b/app-shells/bashdb/bashdb-5.1_pre20240617.ebuild
new file mode 100644
index 000000000000..09231d925e23
--- /dev/null
+++ b/app-shells/bashdb/bashdb-5.1_pre20240617.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# Set to 1 for older versions of bash (that are hence slotted)
+SLOTTED_BASH=1
+
+if [[ ${SLOTTED_BASH} == 1 ]] ; then
+ MANGLED_PV="${PV:0:3}"
+else
+ MANGLED_PV="0"
+fi
+MY_P="${PN}-${PV:0:3}-${PV:4}"
+DESCRIPTION="bash source code debugging"
+HOMEPAGE="http://bashdb.sourceforge.net/"
+
+if [[ ${PV} == *_pre* ]] ; then
+ inherit autotools
+
+ # bashdb for newer bash versions doesn't (yet?) have tags, so we
+ # take snapshots. Make sure to pick the right branch.
+ BASHDB_COMMIT="11150b3bee22215632143942ade99b5f2441c4ca"
+ SRC_URI="
+ https://github.com/Trepan-Debuggers/bashdb/archive/${BASHDB_COMMIT}.tar.gz -> ${P}.gh.tar.gz
+ "
+ S="${WORKDIR}"/${PN}-${BASHDB_COMMIT}
+else
+ SRC_URI="
+ https://downloads.sourceforge.net/bashdb/${MY_P}.tar.bz2
+ "
+ S="${WORKDIR}/${MY_P}"
+fi
+
+# LICENSE in the repo says GPL-2, but it's clearly based on bash-5.0, so
+# it must be GPL-3+ too.
+LICENSE="GPL-3+ GPL-2"
+SLOT="0"
+KEYWORDS="amd64 ppc ppc64 x86"
+
+DEPEND=">=app-shells/bash-${MANGLED_PV}:${MANGLED_PV}"
+RDEPEND="${DEPEND}"
+
+# test-bug-loc fails with formatting differences
+RESTRICT="test"
+
+src_prepare() {
+ default
+
+ [[ ${PV} == *_pre* ]] && eautoreconf
+
+ # We don't install this, so don't bother building it. #468044
+ sed -i 's:texi2html:true:' doc/Makefile.in || die
+}
+
+src_configure() {
+ local bash_suffix
+ if [[ ${SLOTTED_BASH} == 1 ]] ; then
+ bash_suffix="-${MANGLED_PV}"
+ fi
+
+ # This path matches the bash sources. If we ever change bash,
+ # we'll probably have to change this to match (bug #591994).
+ CONFIG_SHELL="${BROOT}"/bin/bash econf \
+ --with-bash="${EPREFIX}"/bin/bash${bash_suffix} \
+ --with-dbg-main='$(PKGDATADIR)/bashdb-main.inc'
+}
diff --git a/app-shells/bashdb/metadata.xml b/app-shells/bashdb/metadata.xml
new file mode 100644
index 000000000000..5f33304011d5
--- /dev/null
+++ b/app-shells/bashdb/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>